Summary:	The Vorbis General Audio Compression Codec.
Name:		libvorbis
Version:	1.1.2
Release: 	3%{?dist}.6
Epoch:		1
Group:		System Environment/Libraries
License:	BSD
URL:		http://www.xiph.org/
Source:		http://www.xiph.org/ogg/vorbis/download/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Requires:	libogg >= 2:1.1
BuildPrereq: 	libogg-devel >= 2:1.1

Patch0:		libvorbis-1.0-m4.patch

# It was a black day...
Patch1: r13149.patch
Patch2: r13151.patch
Patch3: r13153.patch
Patch4: r13154.patch
Patch5: r13155.patch
Patch6: r13160-CVE-2007-3106.patch
Patch7: r13162.patch
Patch8: r13167.patch
Patch9: r13168.patch
Patch10: r13169.patch
Patch11: r13170.patch
Patch12: r13172.patch
Patch13: r13179.patch
Patch14: r13211.patch
Patch15: r13215.patch
Patch16: r13217-CVE-2007-4065.patch
Patch17: r14502.patch
Patch18: r14598-CVE-2008-1420.patch
Patch19: r14602-CVE-2008-1419.patch
Patch20: r14602-CVE-2008-1423.patch
Patch21: r14811.patch
Patch22: r16182-CVE-2009-2663.patch
Patch23: r16217.diff
Patch24: r16218.diff
Patch25: r16222.diff
Patch26: r16326.diff
Patch27: r16597.diff
Patch28: r18151-CVE-2012-0444.patch

%description
Ogg Vorbis is a fully open, non-proprietary, patent-and royalty-free,
general-purpose compressed audio format for audio and music at fixed
and variable bitrates from 16 to 128 kbps/channel.

The libvorbis package contains runtime libraries for use in programs
that support Ogg Voribs.

%package devel
Summary: Development tools for Vorbis applications.
Group: Development/Libraries
Requires:	libogg-devel >= 2:1.1
Requires:	libvorbis = %{epoch}:%{version}
Obsoletes:	vorbis-devel

%description devel
The libvorbis-devel package contains the header files and documentation
needed to develop applications with Ogg Vorbis.

%prep

%setup -q

%patch0 -p1 -b .m4-patch

%patch1 -p0 -b .r13149
%patch2 -p0 -b .r13151
%patch3 -p0 -b .r13153
%patch4 -p0 -b .r13154
%patch5 -p0 -b .r13155
%patch6 -p0 -b .r13160-CVE-2007-3106
%patch7 -p0 -b .r13162
%patch8 -p0 -b .r13167
%patch9 -p0 -b .r13168
%patch10 -p0 -b .r13169
%patch11 -p0 -b .r13170
%patch12 -p0 -b .r13172
%patch13 -p0 -b .r13179
%patch14 -p0 -b .r13211
%patch15 -p0 -b .r13215
%patch16 -p0 -b .r13217-CVE-2007-4065
%patch17 -p0 -b .r14502
%patch18 -p0 -b .r14598-CVE-2008-1420
%patch19 -p0 -b .r14602-CVE-2008-1419
%patch20 -p0 -b .r14602-CVE-2008-1423
%patch21 -p0 -b .r14811
%patch22 -p0 -b .r16182-CVE-2009-2663
%patch23 -p1 -b .r16217
%patch24 -p1 -b .r16218
%patch25 -p1 -b .r16222
%patch26 -p1 -b .r16326
%patch27 -p1 -b .r16597
%patch28 -p1 -b .CVE-2012-0444

perl -p -i -e "s/-O20/$RPM_OPT_FLAGS/" configure
perl -p -i -e "s/-ffast-math//" configure
# link to .pdf spec rather than ship redundant copy
perl -p -i -e "s@Vorbis_I_spec.pdf@http://www.xiph.org/ogg/vorbis/doc/Vorbis_I_spec.pdf@" doc/index.html
rm -f doc/Vorbis_I_spec.pdf

%build
%configure --with-ogg-libraries=%{_libdir}
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

rm -f doc/Makefile* doc/*/Makefile*

# remove unpackaged files from the buildroot
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la



%files
%defattr(-,root,root)
%doc AUTHORS COPYING README
%{_libdir}/libvorbis.so.*
%{_libdir}/libvorbisfile.so.*
%{_libdir}/libvorbisenc.so.*

%files devel
%defattr(-,root,root)
%doc doc/*
%{_includedir}/vorbis
%{_libdir}/libvorbis.a
%{_libdir}/libvorbis.so
%{_libdir}/libvorbisfile.a
%{_libdir}/libvorbisfile.so
%{_libdir}/libvorbisenc.a
%{_libdir}/libvorbisenc.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/aclocal/vorbis.m4

%clean 
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%changelog
* Thu Dec 10 2012 Eddy Nigg <eddy_nigg@startcom.org>
- Rebuild for StartCom Linux 5.0.x

* Tue Feb 14 2012 Huzaifa Sidhpurwala <huzaifas@redhat.com> - 1:1.1.2-3.el5_7.6
- Apply correct patch, fix CVE-2012-0444
Resolves #787074

* Tue Feb 7 2012 Huzaifa Sidhpurwala <huzaifas@redhat.com> - 1:1.1.2-3.el5_7.5
- fix CVE-2012-0444
Resolves #787074

* Wed Nov  4 2009 Jindrich Novy <jnovy@redhat.com>  - 1:1.1.2-3.el5.4
- fix CVE-CVE-2009-3379
Resolves: #532418

* Sun Aug  9 2009 Jindrich Novy <jnovy@redhat.com> - 1:1.1.2-3.el5.3
- fix CVE-2009-2663
Resolves: #516348

* Fri May  2 2008 Jindrich Novy <jnovy@redhat.com> - 1:1.1.2-3.el5.2
- fix release tag
Related: #444707

* Fri May  2 2008 Jindrich Novy <jnovy@redhat.com> - 1:1.1.2-3.el5.1
- fix CVE-2008-1420, CVE-2008-1419, CVE-2008-1423
Resolves: #444707

* Thu Aug  9 2007 Behdad Esfahbod <besfahbo@redhat.com> - 1:1.1.2-3.el5.0
- Add 16 patches to fix various CVEs.
- Resolves: #251668

* Tue Jan 16 2007 Behdad Esfahbod <besfahbo@redhat.com> - 1:1.1.2-2
- Don't include Makefile's in docs.
- Resolves: #222732

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 1:1.1.2-1.2.1
- rebuild

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1:1.1.2-1.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1:1.1.2-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Wed Jan 18 2006 John (J5) Palmieri <johnp@redhat.com> 1:1.1.2-1
- Update to 1.1.2

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Wed Mar 02 2005 John (J5) Palmieri <johnp@redhat.com> 1:1.1.1-1
- Update to 1.1.1

* Wed Mar 02 2005 John (J5) Palmieri <johnp@redhat.com> 1:1.1.0-2
- rebuild with gcc 4.0

* Wed Sep 29 2004 Colin Walters <walters@redhat.com> 1:1.1.0-1
- Update to 1.1.0
- Remove upstreamed patch libvorbis-underquoted.patch

* Wed Sep 29 2004 Warren Togami <wtogami@redhat.com> 1:1.0.1-5
- link to .pdf spec rather than ship redundant copy
- spec cleanups

* Thu Jul 15 2004 Tim Waugh <twaugh@redhat.com> 1:1.0.1-4
- Fixed warnings in shipped m4 file.

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Dec 11 2003 Bill Nottingham <notting@redhat.com> 1:1.0.1-1
- update to 1.0.1

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Feb 24 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 21 2003 Elliot lee <sopwith@redhat.com> 1:1.0-6
- Fix #81026 by updating libvorbis-1.0-m4.patch

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Dec 11 2002 Bill Nottingham <notting@redhat.com> 1:1.0-4
- add epochs to dependencies, to avoid 1.0rc3 >= 1.0 miscomparisons
  (#79374)
- fix vorbis.m4

* Fri Nov 29 2002 Tim Powers <timp@redhat.com> 1:1.0-2
- remove unpackaged files from the buildroot
- tell configure where ogg libs are
- lib64'ize

* Fri Jul 18 2002 Bill Nottingham <notting@redhat.com>
- one-dot-oh
- libtool strikes again (#66110)

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue Jan  1 2002 Bill Nottingham <notting@redhat.com>
- update to 1.0rc3

* Thu Aug 16 2001 Bill Nottingham <notting@redhat.com>
- fix bug in floor backend (<michael@stroucken.org>)

* Mon Aug 13 2001 Bill Nottingham <notting@redhat.com>
- update to 1.0rc2

* Fri Jul 20 2001 Bill Nottingham <notting@redhat.com>
- split out from the main vorbis package

* Tue Jul 10 2001 Bill Nottingham <notting@redhat.com>
- own %%{_libdir}/ao
- I love libtool

* Tue Jun 26 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- add links from library major version numbers in rpms

* Tue Jun 19 2001 Bill Nottingham <notting@redhat.com>
- update to rc1

* Fri May  4 2001 Oliver Paukstadt <oliver.paukstadt@millenux.com>
- fixed perl line in spec file to set optims correctly

* Tue Mar 20 2001 Bill Nottingham <notting@redhat.com>
- fix alpha/ia64, again
- use optflags, not -O20 -ffast-math (especially on alpha...)

* Mon Feb 26 2001 Bill Nottingham <notting@redhat.com>
- fix license tag

* Mon Feb 26 2001 Bill Nottingham <notting@redhat.com>
- beta4

* Fri Feb  9 2001 Bill Nottingham <notting@redhat.com>
- fix alpha/ia64

* Thu Feb  8 2001 Bill Nottingham <notting@redhat.com>
- update CVS in prep for beta4

* Wed Feb 07 2001 Philipp Knirsch <pknirsch@redhat.de>
- Fixed bugzilla bug #25391. ogg123 now usses the OSS driver by default if
  none was specified.

* Tue Jan  9 2001 Bill Nottingham <notting@redhat.com>
- update CVS, grab aRts backend for libao

* Thu Dec 27 2000 Bill Nottingham <notting@redhat.com>
- update CVS

* Fri Dec 01 2000 Bill Nottingham <notting@redhat.com>
- rebuild because of broken fileutils

* Mon Nov 13 2000 Bill Nottingham <notting@redhat.com>
- hack up specfile some, merge some packages

* Sat Oct 21 2000 Jack Moffitt <jack@icecast.org>
- initial spec file created
